#pragma once

/** The codes are defined in the MeCom Protocol Specification by meerstetter, document ID 5117C Section 1.3.4
 *  "Server Error Codes" on page 4. */
enum class TecErrorCode {
  EER_CMD_NOT_AVAILABLE = 1,
  EER_DEVICE_BUSY = 2,
  ERR_GENERAL_COM = 3,
  EER_FORMAT = 4,
  EER_PAR_NOT_AVAILABLE = 5,
  EER_PAR_NOT_WRITABLE = 6,
  EER_PAR_OUT_OF_RANGE = 7,
  EER_PAR_INST_NOT_AVAILABLE = 8,
  ERR_PAR_GENERAL_FAILURE = 9
};
